Next Commerce
Exports

Exports Create

Create a new export.

POST
/exports/

Authorization

oauth2 exports:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: exports:write

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Request Body

date_from*string
Formatdate-time
date_to*string
Formatdate-time
type*string
  • order_list - Orders
  • order_line_items - Order Line Items
  • customer_list - Customers
  • transaction_list - Transactions
  • dispute_list - Disputes
  • subscription_list - Subscriptions
  • subscription_line_items - Subscription Line Items
  • open_cart_list - Open Carts
  • open_cart_line_items - Open Cart Line Items
  • return_list - Returns
  • return_line_items - Return Line Items
  • fulfillment_list - Fulfillments
  • fulfillment_line_items - Fulfillment Line Items
Value in"order_list" | "order_line_items" | "customer_list" | "transaction_list" | "dispute_list" | "subscription_list" | "subscription_line_items" | "open_cart_list" | "open_cart_line_items" | "return_list" | "return_line_items" | "fulfillment_list" | "fulfillment_line_items"

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/exports/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "date_from": "2019-08-24T14:15:22Z",
    "date_to": "2019-08-24T14:15:22Z",
    "type": "order_list"
  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "date_from": "2019-08-24T14:15:22Z",
  "date_to": "2019-08-24T14:15:22Z",
  "id": 0,
  "status": "available",
  "type": "order_list",
  "url": "http://example.com"
}